// ---------------------------------------------------------------------
//
// Copyright (C) 2008 - 2020 by the deal.II authors
//
// This file is part of the deal.II library.
//
// The deal.II library is free software; you can use it, redistribute
// it, and/or modify it under the terms of the GNU Lesser General
// Public License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
// The full text of the license can be found in the file LICENSE.md at
// the top level directory of deal.II.
//
// ---------------------------------------------------------------------



/**
 * @defgroup TrilinosWrappers TrilinosWrappers
 *
 * The classes in this module are wrappers around functionality
 * provided by the Trilinos library. They provide a modern
 * object-oriented interface that is compatible with the interfaces of
 * the other linear algebra classes in deal.II. All classes and
 * functions in this group reside in a namespace @p TrilinosWrappers.
 *
 * These classes are only available if a Trilinos installation was
 * detected during configuration of deal.II. Refer to the README file
 * for more details about this.
 *
 * @ingroup LAC
 */
